## liqbase 0.1.5

=== Makefile ===
PROG        = liqbase
VERS        = 0.1.0
CC          = gcc
LD          = gcc


# xsp is enabled and disabled with this flag -DUSE_MAEMO and -lXsp

OPT_FLAGS   =  -O3
jjjLIBRARIES   = gstreamer-0.10 libpng12 dbus-1 libosso cairo pango glib-2.0 gtk+-2.0 atk
jjjCFLAGS      = -DUSE_MAEMO -Wall `freetype-config --cflags` `pkg-config --cflags  $(LIBRARIES)` -I/usr/include/hildon-1 -I/usr/include/libhildondesktop
jjjLDFLAGS     = -lXsp -lX11 -lXext -lXv -lm `freetype-config --libs` -ljpeg `pkg-config --libs $(LIBRARIES)` -lhildon-1 -lgtk-x11-2.0 

LIBRARIES   = gstreamer-0.10 libpng12 libosso



CFLAGS      = -DUSE_MAEMO -Wall `freetype-config --cflags` `pkg-config --cflags  $(LIBRARIES)`
LDFLAGS     = -lXsp -lX11 -lXext -lXv -lm `freetype-config --libs` -ljpeg `pkg-config --libs $(LIBRARIES)` 
RM          = /bin/rm -f
OBJS        = liqbase_hildon.o liqbase.o liqapp.o liqcanvas_xv.o liqcanvas.o liqfont.o liqdialog.o liqstars.o liqbook.o liqreader.o liqscroll.o liqtextbuffer.o liq_xsurface.o liqbirds.o liqdraw.o liqed.o filebuf.o liqdoc.o liqdrawframe.o liqfloat.o liqfloatpic.o liqgame.o liqspeedtest.o liqtile.o liqgraffiti.o liqcliprect.o liqkeyboard.o liqcamera.o liqimage.o liqtile_easyrun.o liqfloatgallery.o liqmenu.o liqart2.o mk_core.o mk_style.o mksketch.o mkproject.o mkfileselect.o liqbookprogress.o liqintroduction.o liqbase_prefs.o liqmutlitouchtest.o

ETCDIR	    = $(DESTDIR)//etc
PREFIX	    = $(DESTDIR)//usr
SUDODIR	    = $(ETCDIR)/sudoers.d
BINDIR	    = $(PREFIX)/bin
DESKTOPDIR      = $(PREFIX)/share/applications/hildon
SERVICEDIR      = $(PREFIX)/share/dbus-1/services
FONTDIR	    = $(PREFIX)/share/fonts
DOCDIR	    = $(PREFIX)/share/liqbase

.PHONY:     clean distclean
all:        $(PROG)
$(PROG):    $(OBJS)
	      $(LD) $(LDFLAGS) \
                  `echo $$(($$(cat APP_VER_BUILD) + 1)) > APP_VER_BUILD` \
                  -Wl,--defsym,__APP_VER_MAJOR=`cat APP_VER_MAJOR` \
                  -Wl,--defsym,__APP_VER_MINOR=`cat APP_VER_MINOR` \
                  -Wl,--defsym,__APP_VER_REVISION=`cat APP_VER_REVISION` \
                  -Wl,--defsym,__APP_VER_BUILD=`cat APP_VER_BUILD` \
                  -Wl,--defsym,__APP_BUILD_DATE=`date +"0x%Y%m%d"` \
                  -Wl,--defsym,__APP_BUILD_TIME=`date +"0x%H%M%S"` \
                  -o $(PROG) $(OBJS) \
		
.c.o:
	      $(CC) $(OPT_FLAGS) $(CFLAGS) -c $< -o $*.o
clean:
	      $(RM) *~ $(OBJS) $(PROG)
.PHONY:     clean

install: all
	install -d $(BINDIR)
	install -d $(FONTDIR)
	install -d $(DOCDIR)
	install -d $(SUDODIR)
	install -d $(DESKTOPDIR)
	install -d $(SERVICEDIR)

	install -m 0755 liqbase                                                                         $(BINDIR)
	install -m 0755 liqbase_base_fs/usr/bin/liqbase-cpu-ondemand                                    $(BINDIR)
	install -m 0755 liqbase_base_fs/usr/bin/liqbase-cpu-powersave                                   $(BINDIR)
	install -m 0755 liqbase_base_fs/usr/bin/liqbase-cpu-performance                                 $(BINDIR)
	install -m 0755 liqbase_base_fs/usr/bin/liqbase-run                                             $(BINDIR)
	install -m 0755 liqbase_base_fs/etc/sudoers.d/liqbase.sudoers                                   $(SUDODIR)
	install -m 0755 liqbase_base_fs/usr/share/applications/hildon/liqbase.desktop                   $(DESKTOPDIR)
	install -m 0755 liqbase_base_fs/usr/share/dbus-1/services/org.maemo.liqbase.service             $(SERVICEDIR)
	install -m 0755 liqbase_base_fs/usr/share/fonts/lucon.ttf                                       $(FONTDIR)          
	install -m 0644 COPYING                                                                         $(DOCDIR)
	install -m 0644 liqbase_base_fs/usr/share/liqbase/berlin-map-metro-big.png                      $(DOCDIR)
	install -m 0644 liqbase_base_fs/usr/share/liqbase/liqbase-example.txt                           $(DOCDIR)
	install -m 0644 liqbase_base_fs/usr/share/liqbase/menu_back_400_240.jpg                         $(DOCDIR)
	install -m 0644 liqbase_base_fs/usr/share/liqbase/NCI_bacon_alpha_small.png                     $(DOCDIR)
	install -m 0644 liqbase_base_fs/usr/share/liqbase/plane.png                                     $(DOCDIR)
	install -m 0644 liqbase_base_fs/usr/share/liqbase/sun.png                                       $(DOCDIR)
	install -m 0644 liqbase_base_fs/usr/share/liqbase/yuv.png                                       $(DOCDIR)



# BUILD_NUMBER basics from:
# http://www.linuxjournal.com/content/add-auto-incrementing-build-number-your-build-process
#                  -Xlinker --defsym -Xlinker __APP_VER_MAJOR=`cat APP_VER_MAJOR` \
# or http://osdir.com/ml/gcc.cross-compiling/2004-04/msg00059.html
#                  -Wl,--defsym,__APP_VER=`cat APP_VER` \

=== debian/changelog ===
liqbase (0.1.5) unstable; urgency=low

  * added new easter egg

 -- Gary Birkett <liquid@gmail.com>  Mon, 20  Oct 2008 06:12:05 +0200

liqbase (0.1.4) unstable; urgency=low

  * added camera and screenshot tools with [Fullscreen] key
  * made screenshots show in recent pictures
  * workround for "." problem in usernames
  * moved camera onto front screen

 -- Gary Birkett <liquid@gmail.com>  Mon, 20  Oct 2008 06:12:05 +0200

liqbase (0.1.3) unstable; urgency=low

  * now postrm, not havin a good time here ;)

 -- Gary Birkett <liquid@gmail.com>  Sat, 18  Oct 2008 06:12:05 +0200

liqbase (0.1.2) unstable; urgency=low

  * preinst returned and had dodgy northerners line

 -- Gary Birkett <liquid@gmail.com>  Sat, 18  Oct 2008 06:12:05 +0200

liqbase (0.1.1) unstable; urgency=low

  * woglinde kindly helped fix the build deps for me :)

 -- Gary Birkett <liquid@gmail.com>  Sat, 18  Oct 2008 06:12:05 +0200

liqbase (0.1.0) unstable; urgency=low

  * changed builddeps

 -- Gary Birkett <liquid@gmail.com>  Sat, 18  Oct 2008 05:12:05 +0200

liqbase (0.0.9) unstable; urgency=low

  * png saving
  * bugfixes

 -- Gary Birkett <liquid@gmail.com>  Sat, 18  Oct 2008 05:12:05 +0200

liqbase (0.0.8) unstable; urgency=low

  * hildonizing
  * changed runtime default for no prefs to 640*480 temporary fix for glitches

 -- Gary Birkett <liquid@gmail.com>  Thu, 16  Oct 2008 05:12:05 +0200

liqbase (0.0.7) unstable; urgency=low

  * made resolution changes persistable
  * fixed directory handling bug
  * fixed sketch resolution at lower screen resolutions in graffiti
  * clearing log on run, then appending for the session
  * opened up more missing log entry areas, system will be slower, but this log is important

 -- Gary Birkett <liquid@gmail.com>  Wed, 15  Oct 2008 05:12:05 +0200

liqbase (0.0.6) unstable; urgency=low

  * added logging to file ~/.liqbase/liqbase.run.log  will remove asap

 -- Gary Birkett <liquid@gmail.com>  Mon, 13  Oct 2008 05:12:05 +0200

liqbase (0.0.5) unstable; urgency=low

  * added multitouch test

 -- Gary Birkett <liquid@gmail.com>  Mon, 13  Oct 2008 05:12:05 +0200

liqbase (0.0.4) unstable; urgency=low

  * centralized styles, updated and centralized things to use _easyrun
  * made graffiti scroll whilst loading by pausing load actions whilst kinetic in effect
  * added error handling to jpeg loading
  * added zooming to graffiti
  * readded slide in menus

 -- Gary Birkett <liquid@gmail.com>  Sun, 12  Oct 2008 05:12:05 +0200

liqbase (0.0.3) unstable; urgency=low

  * few more bugs quashed, added book reading mid screen

 -- Gary Birkett <liquid@gmail.com>  Sun, 05  Oct 2008 05:12:05 +0200

liqbase (0.0.2) unstable; urgency=low

  * built on a lot of areas, expanded and rewritten lots.

   * higly experimental build, though everything should workish

 -- Gary Birkett <liquid@gmail.com>  Sun, 05  Oct 2008 04:12:05 +0200

liqbase (0.0.1) unstable; urgency=low

  * Initial release

 -- Gary Birkett <liquid@gmail.com>  Thu, 10 Jul 2008 23:12:05 +0200

=== debian/control ===
Source: liqbase
Section: user/other
Priority: extra
Maintainer: Gary Birkett <liquid@gmail.com>
Build-Depends: debhelper (>= 2), x11proto-xext-dev, libpng12-dev, libjpeg62-dev, libosso-dev, libfreetype6-dev, libxv-dev, libxsp-dev, libgstreamer0.10-dev
Standards-Version: 3.7.2

Package: liqbase
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, maemo-installer-utils, maemo-select-menu-location
Description: fast graphics technology demo, sketching, reading and stars
 technology demo featuring finger friendly menus, 
 variable resolution kinetic scrolling fullscreen document viewer, 
 pressure sensitivity sketching with a graffiti wall showing all drawings, 
 cpu throttling adjustments and a fullscreen starfield screensaver.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	$(MAKE)
	#docbook-to-man debian/liqbase.sgml > liqbase.1

	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	-$(MAKE) clean

	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/liqbase.
	$(MAKE) DESTDIR=$(CURDIR)/debian/liqbase install


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
#	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_python
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
